/*
 * Class PROFILING_SETTING
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_25 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_25 [] = {0xFF01,237,24,0xFFFF};
static const EIF_TYPE_INDEX egt_2_25 [] = {0xFF01,24,0xFFFF};
static const EIF_TYPE_INDEX egt_3_25 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_25 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_25 [] = {0xFF01,24,0xFFFF};
static const EIF_TYPE_INDEX egt_6_25 [] = {0xFF01,24,0xFFFF};
static const EIF_TYPE_INDEX egt_7_25 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_25 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_25 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_25 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_25 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_25 [] = {0xFF01,24,0xFFFF};


static const struct desc_info desc_25[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_25), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_25), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_25), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_25), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_25), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_25), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_25), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_25), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_25), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_25), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_25), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_25), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x31 /*24*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_25), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 755, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 756, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 757, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 758, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 759, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 760, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 761, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 762, 0xFFFFFFFF},
};
void Init25(void)
{
	IDSC(desc_25, 0, 24);
	IDSC(desc_25 + 1, 1, 24);
	IDSC(desc_25 + 32, 72, 24);
}


#ifdef __cplusplus
}
#endif
